<!--
  ~ (c) Copyright 2024 Swiss Post Ltd.
  -->
<h1 class="h2 fw-medium mb-3">
	{{ 'dataCollection.title.' + mode | translate }}
</h1>
<p class="mb-4">
	{{ 'dataCollection.instruction' | translate }}
</p>


<sdm-page-actions #pageActionsComponent>
	<i aria-hidden="true" class="bi bi-file-earmark-zip" onReady></i>
	<p onError>
		{{ 'dataCollection.pageActions.error.' + pageActionsComponent.errorFeedbackCode | translate }}
	</p>
	<p onReady>
		{{ 'dataCollection.pageActions.instruction' | translate }}
	</p>
	<ng-container onReady [ngTemplateOutlet]="collectButton"></ng-container>
	<ng-container onError *ngIf="pageActionsComponent.hasErrorFeedback" [ngTemplateOutlet]="collectButton"></ng-container>
	<ng-template #collectButton>
		<button (click)="collect()" class="btn btn-primary" type="button">
			<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
			{{ 'dataCollection.pageActions.collect' | translate }}
		</button>
	</ng-template>

	<div class="spinner" onProgress>
		<span aria-hidden="true" class="spinner-border"></span>
		<span class="visually-hidden" role="status">{{
			'common.loading' | translate
			}}</span>
	</div>
	<p onProgress>
		{{ 'dataCollection.pageActions.inProgress' | translate }}
	</p>

	<i aria-hidden="true" class="bi bi-check-circle text-success" onComplete></i>
	<p onComplete>
		{{ 'dataCollection.pageActions.complete' | translate }}
	</p>
	<button (click)="collect()" class="btn btn-link" onComplete type="button">
		{{ 'dataCollection.pageActions.collect' | translate }}
	</button>
	<button *ngIf="!hideNextButton" class="btn btn-primary" onComplete sdmRouterLinkNext type="button">
		<i aria-hidden="true" class="bi bi-arrow-right-circle"></i>
		{{ 'common.next' | translate }}
	</button>
</sdm-page-actions>

<sdm-progress [displayMetrics]="false"/>

<div class="card mb-5">
	<div class="card-header">
		{{ 'dataCollection.datasetInfo.title' | translate }}
	</div>
	<div class="card-body">
		<dl class="row mb-0">
			<dt class="col-2">
				{{ 'dataCollection.datasetInfo.targetFolder' | translate }}
			</dt>
			<dd class="col-10">{{ datasetInfo?.outputFolder }}</dd>
			<dt class="col-2">
				{{ 'dataCollection.datasetInfo.filename' | translate }}
			</dt>
			<dd class="col-10">
				<ul class="row">
					<li *ngFor="let filename of datasetFilenameList">{{ filename }}</li>
				</ul>
			</dd>
		</dl>
	</div>
</div>
